Name:    filelight 
Summary: Graphical disk usage statistics 
Group: Desktop Environment/Utilities
Epoch:   1
Version: 4.10.2
Release: 1%{?dist}

# KDE e.V. may determine that future GPL versions are accepted
License: GPLv2 or GPLv3
#URL:    https://projects.kde.org/projects/kde/kdeutils/filelight
URL:     http://utils.kde.org/projects/filelight
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: desktop-file-utils
BuildRequires: kdelibs4-devel >= %{version}

# when split occured
Conflicts: kdeutils-common < 6:4.7.80

Obsoletes: kdeutils-filelight < 6:4.7.80
Provides:  kdeutils-filelight = 6:%{version}-%{release}

%{?_kde4_version:Requires: kdelibs4%{?_isa} >= %{_kde4_version}}


%description
Filelight allows you to quickly understand exactly where your diskspace
is being used by graphically representing your file system.


%prep
%setup -q -n %{name}-%{version}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} --with-kde --without-mo


%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/%{name}.desktop


%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
fi

%files -f %{name}.lang
%doc COPYING
%doc AUTHORS ChangeLog NEWS README
%{_kde4_bindir}/filelight
%{_kde4_appsdir}/filelight*/
%{_kde4_configdir}/filelightrc
%{_kde4_datadir}/applications/kde4/filelight.desktop
%{_kde4_datadir}/kde4/services/filelightpart.desktop
%{_kde4_iconsdir}/hicolor/*/*/*filelight.*
%{_kde4_libdir}/kde4/filelightpart.so


%changelog
* Sat Apr 06 2013 Shawn W Dunn <sfalken@fuduntu.org> - 4.10.2-1
- Built for Fuduntu

* Sat Apr 06 2013 Shawn W Dunn <sfalken@fuduntu.org> - 4.10.2-1
- Built for Fuduntu

* Sat Mar 16 2013 Shawn W Dunn <sfalken@fuduntu.org> - 4.10.1-1
- Built for Fuduntu

* Sat Mar 16 2013 Shawn W Dunn <sfalken@fuduntu.org> - 4.10.1-1
- Built for Fuduntu

* Wed Mar 13 2013 Shawn W Dunn <sfalken@fuduntu.org> - 4.10.1-1
- Built for Fuduntu

* Sun Feb 24 2013 %packager Shawn W Dunn <sfalken@gmail.com> - 4.10.0-1
- Built for Fuduntu

* Fri Feb 01 2013 Rex Dieter <rdieter@fedoraproject.org> - 1:4.10.0-1
- 4.10.0

* Tue Jan 22 2013 Rex Dieter <rdieter@fedoraproject.org> - 1:4.9.98-1
- 4.9.98

* Fri Jan 04 2013 Rex Dieter <rdieter@fedoraproject.org> - 1:4.9.97-1
- 4.9.97

* Thu Dec 20 2012 Rex Dieter <rdieter@fedoraproject.org> - 1:4.9.95-1
- 4.9.95

* Tue Dec 04 2012 Rex Dieter <rdieter@fedoraproject.org> - 1:4.9.90-1
- 4.9.90

* Mon Dec 03 2012 Than Ngo <than@redhat.com> - 1:4.9.4-1
- 4.9.4

* Sat Nov 03 2012 Rex Dieter <rdieter@fedoraproject.org> - 1:4.9.3-1
- 4.9.3

* Sat Sep 29 2012 Rex Dieter <rdieter@fedoraproject.org> - 1:4.9.2-1
- 4.9.2

* Mon Sep 03 2012 Than Ngo <than@redhat.com> - 1:4.9.1-1
- 4.9.1

* Thu Jul 26 2012 Lukas Tinkl <ltinkl@redhat.com> - 1:4.9.0-1
- 4.9.0

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:4.8.97-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jul 12 2012 Rex Dieter <rdieter@fedoraproject.org> - 1:4.8.97-1
- 4.8.97

* Wed Jun 27 2012 Jaroslav Reznik <jreznik@redhat.com> - 1:4.8.95-1
- 4.8.95

* Sat Jun 09 2012 Rex Dieter <rdieter@fedoraproject.org> - 1:4.8.90-1
- 4.8.90

* Tue Jun 05 2012 Rex Dieter <rdieter@fedoraproject.org> 1:4.8.80-2
- filelight missing versioned kdelibs4 dependency (#827497)

* Fri Jun 01 2012 Jaroslav Reznik <jreznik@redhat.com> - 1:4.8.80-1
- 4.8.80

* Mon Apr 30 2012 Jaroslav Reznik <jreznik@redhat.com> - 1:4.8.3-1
- 4.8.3

* Fri Mar 30 2012 Rex Dieter <rdieter@fedoraproject.org> - 1:4.8.2-1
- 4.8.2

* Mon Mar 05 2012 Jaroslav Reznik <jreznik@redhat.com> - 1:4.8.1-1
- 4.8.1

* Sun Jan 22 2012 Rex Dieter <rdieter@fedoraproject.org> - 1:4.8.0-1
- 4.8.0

* Wed Jan 04 2012 Rex Dieter <rdieter@fedoraproject.org> - 1:4.7.97-1
- 4.7.97

* Tue Dec 27 2011 Rex Dieter <rdieter@fedoraproject.org> 1:4.7.95-2
- epoch: 1

* Thu Dec 22 2011 Radek Novacek <rnovacek@redhat.com> - 4.7.95-1
- 4.7.95

* Mon Dec 19 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.90-2
- 4.7.90 (#761559)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-6.rc3.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Sep  7 2010 Neal Becker <ndbecker2@gmail.com> - 1.9-6.rc3
- Patch to mainWindow.cpp for gcc4.5

* Sat Jan  2 2010 Neal Becker <ndbecker2@gmail.com> - 1.9-5.rc3
- Drop filelight.ChangeLog.diff

* Sat Jan  2 2010 Neal Becker <ndbecker2@gmail.com> - 1.9-4.rc3
- fix directory

* Sun Aug  2 2009 Neal Becker <ndbecker2@gmail.com> - 1.9-3.rc2
- fix some rpmlint complaints:
- Follow cmake_kde4 recipe
  untabify
  convert ChangeLog to utf8
  don't mark filelightrc as config

* Fri Jul 31 2009 Neal Becker <ndbecker2@gmail.com> - 1.9-2.rc2
- Updates for kde4
- Update to 1.9rc2

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Neal Becker <ndbecker2@gmail.com> - 1.0-15
- use noreplace on config

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jul 18 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.0-13
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.0-12
- Autorebuild for GCC 4.3

* Thu Jan  3 2008 Neal Becker <ndbecker2@gmail.com> - 1.0-11
- Make that br kdelibs3-devel

* Thu Jan  3 2008 Neal Becker <ndbecker2@gmail.com> - 1.0-9
- BR qt-devel for /etc/profile.d/qt.sh

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 1.0-9
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Mon Sep 11 2006 Neal Becker <ndbecker2@gmail.com> - 1.0-8
- Add --delete-original to desktop-file-install
- Add gtk-update-icon-cache
- fix defattr

* Sat Sep  9 2006 Neal Becker <ndbecker2@gmail.com> - 1.0-7
- Cleanup
- Add req hicolor-icon-theme
- find_lang removed
- qt-devel BR removed

* Wed Sep  6 2006 Neal Becker <ndbecker2@gmail.com> - 1.0-6
- oops, config is for filelightrc
- filelight.desktop patch fed upstream

* Wed Sep  6 2006 Neal Becker <ndbecker2@gmail.com> - 1.0-5
- desktop-install-file per rdieter@math.unl.edu

* Tue Sep  5 2006 Neal Becker <ndbecker2@gmail.com> - 1.0-4
- Put filelightrc in datadir/config

* Tue Sep  5 2006 Neal Becker <ndbecker2@gmail.com> - 1.0-3
- Add dist to release tag
- add delete-original to desktop-file-install
- Fix changelog entries (no macros)

* Tue Sep  5 2006 Neal Becker <ndbecker2@gmail.com> - 1.0-2
- remove files -f
- patch filelight.desktop (remove space)
- mv filelightrc to sysconfdir
- fix buildroot
- setup -q
- Remove Packager

* Sat Sep  2 2006 Neal Becker <ndbecker2@gmail.com> - 1.0-1
- Remove find_lang
- fix icons/hicolor
- --disable-rpath

* Mon Aug 22 2005 Dag Wieers <dag@wieers.com> - 0.6.4-1 - +/
- Initial package. (using DAR)
